Get Card
curl --request GET \
--url https://api.supernotes.app/v1/cards/{card_id} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.supernotes.app/v1/cards/{card_id}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.supernotes.app/v1/cards/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"markup": "<string>",
"html": "<string>",
"ydoc": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"created_when": "2023-11-07T05:31:56Z",
"modified_when": "2023-11-07T05:31:56Z",
"modified_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"synced_when": "2023-11-07T05:31:56Z",
"targeted_when": "2023-11-07T05:31:56Z",
"meta": {},
"daily_date": "<string>",
"h3_index": "<string>",
"link_cache": {},
"comment_count": 123,
"likes": 123,
"member_count": 123,
"public_child_count": 123
},
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"liked": true,
"personal_tags": [
"<string>"
],
"via_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_when": "2023-11-07T05:31:56Z",
"modified_when": "2023-11-07T05:31:56Z",
"enrolled_when": "2023-11-07T05:31:56Z",
"opened_when": "2023-11-07T05:31:56Z",
"auto_publish_children": true,
"view": {
"sort_ascending": true,
"broadsheet_cols": 123,
"broadsheet_full_width": true,
"attempt_card_match": true,
"map_position": "<string>"
},
"flash_memory": {
"due": 123,
"stability": 123,
"difficulty": 123,
"elapsed_days": 123,
"scheduled_days": 123,
"reps": 123,
"lapses": 123,
"last_review": 123
},
"total_child_count": 123,
"share_link_count": 123
},
"backlinks": [
"<string>"
],
"parents": {
"[card_id]": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_when": "2023-11-07T05:31:56Z",
"archived": true
}
}
}{
"type": "<string>",
"detail": "<string>",
"status": 123
}Cards
Get Card
Get a specified card
GET
/
v1
/
cards
/
{card_id}
Get Card
Authorizations
Path Parameters
⌘I